List project datasets
curl --request GET \
--url https://platform.neural-motion.org/api/v1/orgs/{org_slug}/projects/{project_slug}/datasets \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.neural-motion.org/api/v1/orgs/{org_slug}/projects/{project_slug}/datasets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.neural-motion.org/api/v1/orgs/{org_slug}/projects/{project_slug}/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"org_slug": "<string>",
"project_slug": "<string>",
"slug": "<string>",
"title": "<string>",
"source_kind": "<string>",
"visibility": "public",
"source_uri": "<string>",
"read_model_path": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Project datasets
List project datasets
GET
/
api
/
v1
/
orgs
/
{org_slug}
/
projects
/
{project_slug}
/
datasets
List project datasets
curl --request GET \
--url https://platform.neural-motion.org/api/v1/orgs/{org_slug}/projects/{project_slug}/datasets \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.neural-motion.org/api/v1/orgs/{org_slug}/projects/{project_slug}/datasets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.neural-motion.org/api/v1/orgs/{org_slug}/projects/{project_slug}/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"org_slug": "<string>",
"project_slug": "<string>",
"slug": "<string>",
"title": "<string>",
"source_kind": "<string>",
"visibility": "public",
"source_uri": "<string>",
"read_model_path": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Clerk session JWT for browsers, or nmp_ personal access token for CLI/SDK clients. Not accepted by ClerkSession-only operations.
Headers
Response
Successful Response
Show child attributes
Show child attributes

